Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1604568

Summary: libdirq: FTBFS in Fedora rawhide
Product: [Fedora] Fedora Reporter: Mohan Boddu <mboddu>
Component: libdirqAssignee: lionel.cons
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: lionel.cons
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libdirq-0.5-4 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-07-23 08:32:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1551327, 1602938    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Mohan Boddu 2018-07-19 23:21:06 UTC
libdirq failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28195495


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix libdirq at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
libdirq will be orphaned. Before branching of Fedora 30,
libdirq will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 23:21:11 UTC
Created attachment 1463543 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 23:21:15 UTC
Created attachment 1463544 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 23:21:17 UTC
Created attachment 1463545 [details]
state.log

Comment 4 lionel.cons 2018-07-20 05:32:21 UTC
Build fails with:
make[1]: gcc: Command not found

Comment 5 lionel.cons 2018-07-23 08:30:20 UTC
Fixed in latest release, see:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1129669

Comment 6 Igor Raits 2018-07-23 11:18:20 UTC
Matches:
make[1]: gcc: Command not found

Suggested fix:
BuildRequires:  gcc